import { ProcessingStatusOptionsPipe } from './processing-status-options.pipe';

fdescribe('ProcessingStatusOptionsPipe', () => {
  let pipe: ProcessingStatusOptionsPipe;

  // activated code
  const bestelltStatuscode = 16;

  // deactivated code
  const prepForShippingStatusCode = 32;

  beforeEach(() => {
    pipe = new ProcessingStatusOptionsPipe();
  });

  it('should return bestellt (1)', () => {
    const result = pipe.transform([bestelltStatuscode, prepForShippingStatusCode]);

    expect(result.length).toBe(1);
    expect(result).toEqual([bestelltStatuscode]);
  });
});
